---
apiVersion: monitoring.coreos.com/v1
kind: ServiceMonitor
metadata:
  annotations:
    networkoperator.openshift.io/ignore-errors: ""
  creationTimestamp: "2020-05-26T14:28:35Z"
  generation: 1
  labels:
    name: monitor-multus-admission-controller
  managedFields:
  - apiVersion: monitoring.coreos.com/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:networkoperator.openshift.io/ignore-errors: {}
        f:labels:
          .: {}
          f:name: {}
        f:ownerReferences: {}
      f:spec:
        .: {}
        f:endpoints: {}
        f:jobLabel: {}
        f:namespaceSelector:
          .: {}
          f:matchNames: {}
        f:selector:
          .: {}
          f:matchLabels:
            .: {}
            f:app: {}
    manager: cluster-network-operator
    operation: Update
    time: "2020-05-26T14:28:35Z"
  name: monitor-multus-admission-controller
  namespace: openshift-multus
  ownerReferences:
  - apiVersion: operator.openshift.io/v1
    blockOwnerDeletion: true
    controller: true
    kind: Network
    name: cluster
    uid: 50031c94-522c-48d8-9c65-ba159c57d100
  resourceVersion: "17607"
  selfLink: /apis/monitoring.coreos.com/v1/namespaces/openshift-multus/servicemonitors/monitor-multus-admission-controller
  uid: b838b5e8-ecf9-4d6f-97ea-d4f83e1ea78f
spec:
  endpoints:
  - bearerTokenFile: /var/run/secrets/kubernetes.io/serviceaccount/token
    interval: 30s
    port: metrics
    scheme: https
    tlsConfig:
      caFile: /etc/prometheus/configmaps/serving-certs-ca-bundle/service-ca.crt
      serverName: multus-admission-controller.openshift-multus.svc
  jobLabel: app
  namespaceSelector:
    matchNames:
    - openshift-multus
  selector:
    matchLabels:
      app: multus-admission-controller
